
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef force_TCLSERV_CLIENT_MSG_LIB_H
#define force_TCLSERV_CLIENT_MSG_LIB_H

#include <server/forceType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int forceTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int forceTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int forceTclservClientInitRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int forceTclservClientInitReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int forceTclservClientInitRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int forceTclservClientInitRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int forceTclservClientInitNumberFFTRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_numberFFT)
		);

int forceTclservClientInitNumberFFTReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int forceTclservClientInitNumberFFTRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_numberFFT) ,
				 
				 int *bilan);




int forceTclservClientInitFftDirectionRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 Gb_force *(in_fftDirection)
		);

int forceTclservClientInitFftDirectionReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       Gb_force *(out_fftDirection),
			       int *bilan);

int forceTclservClientInitFftDirectionRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 Gb_force *(in_fftDirection) ,
				 Gb_force *(out_fftDirection),
				 int *bilan);




int forceTclservClientFilterSetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_filter)
		);

int forceTclservClientFilterSetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       int *(out_filter),
			       int *bilan);

int forceTclservClientFilterSetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_filter) ,
				 int *(out_filter),
				 int *bilan);




int forceTclservClientOffsetResetRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int forceTclservClientOffsetResetReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int forceTclservClientOffsetResetRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int forceTclservClientDetectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int forceTclservClientDetectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int forceTclservClientDetectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int forceTclservClientDetectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int forceTclservClientDetectStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int forceTclservClientDetectStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int forceTclservClientDetectStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int forceTclservClientDetectSet_nb_val_fftRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 int *(in_nb_val_fft)
		);

int forceTclservClientDetectSet_nb_val_fftReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       int *(out_nb_val_fft),
			       int *bilan);

int forceTclservClientDetectSet_nb_val_fftRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 int *(in_nb_val_fft) ,
				 int *(out_nb_val_fft),
				 int *bilan);




int forceTclservClientDetectSetThresholdRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 double *(in_threshold)
		);

int forceTclservClientDetectSetThresholdReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       double *(out_threshold),
			       int *bilan);

int forceTclservClientDetectSetThresholdRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 double *(in_threshold) ,
				 double *(out_threshold),
				 int *bilan);




int forceTclservClientMonitorForcesRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 FORCE_MONITOR_DATA_STR *(in_eq) 
		);

int forceTclservClientMonitorForcesReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int forceTclservClientMonitorForcesRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				FORCE_MONITOR_DATA_STR *(in_eq) ,
				
				int *bilan);

int forceTclservClientMonitorForcesRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					FORCE_MONITOR_DATA_STR *(in_eq) ,
					
					int *bilan);




int forceTclservClientMonitorForcesStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int forceTclservClientMonitorForcesStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int forceTclservClientMonitorForcesStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int forceTclservClientSaveFileFFTRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int forceTclservClientSaveFileFFTReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int forceTclservClientSaveFileFFTRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				
				int *bilan);

int forceTclservClientSaveFileFFTRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					
					int *bilan);




int forceTclservClientRecordForcesRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int forceTclservClientRecordForcesReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int forceTclservClientRecordForcesRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* forceTCLSERV_CLIENT_MSG_LIB_H */

